%global pypi_name absl-py

Name:           python-%{pypi_name}
Version:        0.7.1
Release:        3%{?dist}
Summary:        The Absel repository is a collection of Python library code for building Python applications

License:        ASL 2.0
URL:            https://github.com/abseil/abseil-py
Source0:        https://github.com/abseil/abseil-py/archive/pypi-v%{version}.tar.gz
BuildArch:      noarch
 
BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)

%description
 Abseil Python Common Libraries. This repository is a collection of Python 
library code for building Python applications. The code is collected from 
Google's own Python code base, and has been extensively tested and 
used in production. Features:
- Simple application startup 
- Distributed commandline flags system
- Custom logging module with additional features 
- Testing utilities

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}
%{?python_enable_dependency_generator}

%description -n python3-%{pypi_name}
 Abseil Python Common Libraries. This repository is a collection of Python 
library code for building Python applications. The code is collected from 
Google's own Python code base, and has been extensively tested and 
used in production. Features:
- Simple application startup
- Distributed commandline flags system
- Custom logging module with additional features
- Testing utilities

%prep
%autosetup -n abseil-py-pypi-v%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install
rm -rf %{buildroot}/usr/lib/python3.7/site-packages/absl/third_party

%files -n python3-%{pypi_name}
%doc README.md
%license LICENSE
%{python3_sitelib}/absl
%{python3_sitelib}/absl_py-%{version}-py?.?.egg-info

%changelog
* Sun Mar 24 2019 Ruslan Pisarev <ruslan@rpisarev.org.ua> - 0.7.1-3
- Fix spec for Fedora rules
* Fri Mar 15 2019 Ruslan Pisarev <ruslan@rpisarev.org.ua> - 0.7.1-2
- Removed Python 2 subpackage
- Updated to upstream
* Sat Mar 09 2019 Ruslan Pisarev <ruslan@rpisarev.org.ua> - 0.7.0-1
- Initial package.
